All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
zero_copy.hpp File Reference
`#include <uhd/config.hpp>`
`#include <boost/utility.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <boost/intrusive_ptr.hpp>`

Go to the source code of this file.

## Classes

class | uhd::transport::managed_recv_buffer
class | uhd::transport::managed_send_buffer
class | uhd::transport::zero_copy_if

## Namespaces

namespace | uhd
namespace | uhd::transport

## Functions

template<typename T >
UHD_INLINE boost::intrusive_ptr< T > | uhd::transport::make_managed_buffer (T *p)
| Create smart pointer to a reusable managed buffer. More...
UHD_INLINE void | uhd::transport::intrusive_ptr_add_ref (managed_recv_buffer *p)
UHD_INLINE void | uhd::transport::intrusive_ptr_release (managed_recv_buffer *p)
UHD_INLINE void | uhd::transport::intrusive_ptr_add_ref (managed_send_buffer *p)
UHD_INLINE void | uhd::transport::intrusive_ptr_release (managed_send_buffer *p)